DeluxHostAPI Reference
Invoices

List invoices

GET
/v1/invoices

Cursor-paginated: pass the previous response's nextCursor as before. nextCursor is null on the last page. An unknown status is a 400, not a silently ignored filter.

Authorization

apiToken invoices:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: invoices:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default25
before?integer

Cursor from the previous page.

status?string
Value in"unpaid""paid""cancelled""refunded"

Response Body

One page of invoices.

application/json
  1. response
items*array<>
nextCursor*integer|null
curl -X GET 'https://api.deluxhost.net/v1/invoices' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "number": "string",      "status": "unpaid",      "type": "string",      "subtotalCents": 0,      "totalCents": 0,      "serviceId": 0,      "dueAt": "2019-08-24T14:15:22Z",      "paidAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "items": [        {          "description": "string",          "quantity": 0,          "unitPriceCents": 0,          "totalCents": 0        }      ]    }  ],  "nextCursor": 0}